# Open Source Software Virtual Incubator

👋 Hi there! We'd like to try a little experiment to help source, improve, and fund the best ideas to improve OSS sustainability, in a public way. Rather than a traditional RFP process, where the submissions are private, we hope a public submission process creates a resource for the entire community to give feedback on, improve, and collect proposals together. Promising ideas will be provided support such as funding / grants or other expertise from us or our partners. - [@epicfaace](https://github.com/epicfaace), from [Plaintext Group](https://www.plaintextgroup.com/)

## tl;dr

1. We want **ambitious and innovative ideas** to systemically improve the sustainability of the OSS ecosystem.
2. You can **submit a proposal** by [making a PR](https://github.com/PlaintextGroup/oss-virtual-incubator/pulls) or [filling out this form][form].
3. You can **get or give feedback** and help refine these ideas through changes and comments on this GitHub repository.
4. We plan to provide **further support**, such as grants / funding, to promising ideas and proposals.

## 1. Ideas wanted

Like roads and bridges for the digital world, open source software (OSS) makes up much of our digital infrastructure and underlies many critical software systems, both public and private. Sometimes referred to as "free and open source software" (FOSS), OSS can be used, modified, and shared by the public according to its terms of distribution.

However, OSS faces a sustainability problem. While some OSS projects are well-resourced by companies and non-profit organizations, other OSS code is maintained and released by people who struggle to monetize their work. Moreover, flaws in OSS has been used to mount supply chain attacks such as [Heartbleed](https://heartbleed.com/) and, more recently, [log4j](https://blog.cloudflare.com/how-cloudflare-security-responded-to-log4j2-vulnerability/). Traditional methods of resourcing OSS development and maintenance – such as corporate or philanthropic donations, [crowdsourcing](https://babeljs.io/blog/2021/05/10/funding-update), or [volunteer time](https://twitter.com/FiloSottile/status/1469441487175880711) – may not be enough.

**We are seeking the most ambitious and innovative ideas to systemically improve the sustainability of the OSS ecosystem.** We welcome ideas from around the world, and they can range from specific technical improvements to institution-building to policymaking ideas. Here are some (not exhaustive) examples: "implement X feature in a certain package manager", "perform dependency mapping of the OSS ecosystem", "create a training program for OSS maintainers to learn how to apply to grants", "create a mechanism for the US National Science Foundation to better fund critical OSS libraries", "use X web3 mechanism to create incentives to fund OSS tools".

## 2. Submit a proposal

If you'd like to submit a proposal yourself, you have two options:
1. Fork this repo and make a copy of [PROPOSAL-TEMPLATE.md](PROPOSAL-TEMPLATE.md). Write up your proposal in the `proposals` directory, then [make a pull request](https://github.com/PlaintextGroup/oss-virtual-incubator/pulls) to this repository.
2. If you'd rather just use a form, [fill out this form][form]. Unless you tell us otherwise, we will copy over your proposal to this GitHub repository.

## 3. Get or give feedback

By sharing the proposals publicly on this GitHub repository, we hope this will allow you to get feedback on your proposals, give feedback on / learn from other proposals, and collectively refine and fine-tune the proposals based on feedback. You can use [GitHub Discussions](https://github.com/PlaintextGroup/oss-virtual-incubator/discussions) to organize these discussions.

## 4. Further support

Promising proposals will be selected for further support, including further feedback from policy and technical experts, access to a community of policymakers and technical engineers to help them realize their idea, and grant money from us or other partners / funders to help realize the idea. This might include (but is not limited to):
- Mini-grants up to $10,000 to support the idea
- Larger grants ($100K+) for more developed and large-scale ideas
- Help with legislative and government advocacy for a particular policy idea

## FAQ

### What is Plaintext Group?

<a href="https://www.plaintextgroup.com/"><img width="300" alt="Highlight_1@2x" src="https://user-images.githubusercontent.com/1689183/130452345-dd163756-08a9-491b-994f-1d04da98fda5.png"></a>

[Plaintext Group](https://www.plaintextgroup.com/) is a technology innovation policy initiative being developed by <a href="https://schmidtfutures.com/">Schmidt Futures</a>. Schmidt Futures' incubation of Plaintext Group is part of our effort to take on important public problems where systemic solutions may be available, by creating interdisciplinary institutions of exceptional people.

If you are interested in collaborating with us, drop us a note at [contact@plaintextgroup.com](mailto:contact@plaintextgroup.com).

### Why did you start this?

We'd like to fund systemic improvements in the open source software ecosystem – rather than just funding a specified list of OSS projects, we'd like to take bets on risky or novel ideas that may have an outsize impact and improve sustainability for a wide variety of projects within the open source software ecosystem. Rather than a traditional RFP process, where the submissions are private, we hope a public submission process creates a resource for the entire community to give feedback on, improve, and collect proposals together.

### My organization would like to collaborate with you on this initiative. How can we help?

Please drop us a note at [contact@plaintextgroup.com](mailto:contact@plaintextgroup.com).

### I have more questions.

Please [file an issue](https://github.com/PlaintextGroup/oss-virtual-incubator/issues) or [send us an email](mailto:contact@plaintextgroup.com)!


[form]: https://97oibfwziii.typeform.com/to/b60y2IZa
